> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mobilerun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List integration targets

> Returns the live list of targets (e.g. Slack channels the connected account is a member of) for an integration. Pass a target's `args` together with the integration `capability` to `POST /webhooks` with `kind: "integration"`.



## OpenAPI

````yaml /api-reference/webhooks/integrations.yaml get /webhooks/integrations/{capabilityId}/targets
openapi: 3.1.0
info:
  title: Integrations
  version: v1
servers:
  - description: Droidrun Cloud API
    url: https://api.mobilerun.ai/v1
security:
  - bearerAuth: []
paths:
  /webhooks/integrations/{capabilityId}/targets:
    get:
      tags:
        - Integrations
      summary: List integration targets
      description: >-
        Returns the live list of targets (e.g. Slack channels the connected
        account is a member of) for an integration. Pass a target's `args`
        together with the integration `capability` to `POST /webhooks` with
        `kind: "integration"`.
      operationId: listWebhookIntegrationTargets
      parameters:
        - in: path
          name: capabilityId
          required: true
          schema:
            example: slack.post_message
            maxLength: 128
            minLength: 1
            type: string
        - in: query
          name: revision
          required: true
          schema:
            example: 1
            minimum: 1
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    items:
                      properties:
                        args:
                          additionalProperties: {}
                          description: >-
                            Pass as `args` when creating an `integration`
                            webhook.
                          example:
                            channelId: C07ABCDEF
                          type: object
                        isPrivate:
                          type: boolean
                        label:
                          example: '#ops'
                          type: string
                      required:
                        - args
                        - label
                        - isPrivate
                      type: object
                    type: array
                required:
                  - data
                type: object
          description: Integration targets
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorEnvelope'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorEnvelope'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookHttpError'
          description: Integration not found or it has no targets
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookHttpError'
          description: The integration is not connected or its connection expired
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookInternalServerError'
          description: Internal Server Error
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookHttpError'
          description: Integrations are not available right now
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Mobilerun from '@mobilerun/sdk';


            const client = new Mobilerun({
              apiKey: process.env['MOBILERUN_CLOUD_API_KEY'], // This is the default and can be omitted
            });


            const response = await
            client.webhooks.integrations.listTargets('slack.post_message', {
              revision: 1,
            });


            console.log(response.data);
        - lang: Python
          source: |-
            import os
            from mobilerun_sdk import Mobilerun

            client = Mobilerun(
                api_key=os.environ.get("MOBILERUN_CLOUD_API_KEY"),  # This is the default and can be omitted
            )
            response = client.webhooks.integrations.list_targets(
                capability_id="slack.post_message",
                revision=1,
            )
            print(response.data)
components:
  schemas:
    ApiErrorEnvelope:
      properties:
        code:
          type: string
        details: {}
        message:
          type: string
        retryAfterSeconds:
          type: number
        traceId:
          type: string
      required:
        - code
        - message
      type: object
    WebhookHttpError:
      properties:
        code:
          $ref: '#/components/schemas/WebhookHttpErrorCode'
        details: {}
        message:
          example: webhook not found
          type: string
        traceId:
          type: string
      required:
        - code
        - message
      type: object
    WebhookInternalServerError:
      properties:
        code:
          $ref: '#/components/schemas/WebhookHttpErrorCode'
        details: {}
        message:
          type: string
        traceId:
          type: string
      required:
        - code
        - message
      type: object
    WebhookHttpErrorCode:
      enum:
        - bad_request
        - not_found
        - conflict
        - service_unavailable
        - internal_error
      type: string
  securitySchemes:
    bearerAuth:
      bearerFormat: Opaque
      description: Bearer token via Authorization header
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.